This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 639471 - build issues on s390(x)
build issues on s390(x)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
14
s390x Linux
low Severity medium
: ---
: ---
Assigned To: Justin M. Forbes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-01 16:24 EDT by Dan Horák
Modified: 2013-01-09 06:40 EST (History)
13 users (show)

See Also:
Fixed In Version: qemu-0.13.0-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-28 02:11:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
drop -g from CFLAGS and switch from $RPM_OPT_FLAGS to %{optflags} (1.09 KB, patch)
2010-10-01 16:24 EDT, Dan Horák
no flags Details | Diff

  None (edit)
Description Dan Horák 2010-10-01 16:24:09 EDT
Created attachment 451116 [details]
drop -g from CFLAGS and switch from $RPM_OPT_FLAGS to %{optflags}

there are 2 issues that breaks building on s390(x)
- /etc/qemu/target-x86_64.conf is installed, but not packaged for arches != x86/x86_64
- 2 GB address space on s390 is too small and builds end with "Virtual memory exhausted" => -g needs to be removed from CFLAGS
Comment 1 Fedora Update System 2010-10-19 02:01:09 EDT
qemu-0.13.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/qemu-0.13.0-1.fc14
Comment 2 Fedora Update System 2010-10-19 05:09:01 EDT
qemu-0.13.0-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qemu'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/qemu-0.13.0-1.fc14
Comment 3 Fedora Update System 2010-10-28 02:11:26 EDT
qemu-0.13.0-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.